### Class

# Atk GObjectAccessible

#### Description [src]

    class Atk.GObjectAccessible : Atk.Object
    {
      /* No available fields */
    }

This object class is derived from AtkObject and can be used as a basis implementing accessible objects.

This object class is derived from AtkObject. It can be used as a basis for implementing accessible objects for GObjects which are not derived from GtkWidget. One example of its use is in providing an accessible object for GnomeCanvasItem in the GAIL library.

#### Ancestors

- AtkObject
- GObject

#### Functions

###### atk_gobject_accessible_for_object

Gets the accessible object for the specified `obj`.

#### Instance methods

###### atk_gobject_accessible_get_object

Gets the GObject for which `obj` is the accessible object.

##### Methods inherited from AtkObject (28)

Please see AtkObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from AtkObject (17)

###### Atk.Object:accessible-component-layer

No description available.

###### Atk.Object:accessible-component-mdi-zorder

No description available.

###### Atk.Object:accessible-description

No description available.

###### Atk.Object:accessible-help-text

No description available.

###### Atk.Object:accessible-hypertext-nlinks

No description available.

###### Atk.Object:accessible-id

No description available.

###### Atk.Object:accessible-name

No description available.

###### Atk.Object:accessible-parent

No description available.

###### Atk.Object:accessible-role

No description available.

###### Atk.Object:accessible-table-caption

Table caption.

deprecated: Unknown

###### Atk.Object:accessible-table-caption-object

No description available.

###### Atk.Object:accessible-table-column-description

Accessible table column description.

deprecated: Unknown

###### Atk.Object:accessible-table-column-header

Accessible table column header.

deprecated: Unknown

###### Atk.Object:accessible-table-row-description

Accessible table row description.

deprecated: Unknown

###### Atk.Object:accessible-table-row-header

Accessible table row header.

deprecated: Unknown

###### Atk.Object:accessible-table-summary

No description available.

###### Atk.Object:accessible-value

Numeric value of this object, in case being and AtkValue.

deprecated: Unknown

#### Signals

##### Signals inherited from AtkObject (9)

###### AtkObject::active-descendant-changed

The “active-descendant-changed” signal is emitted by an object which has the state ATK_STATE_MANAGES_DESCENDANTS when the focus object in the object changes. For instance, a table will emit the signal when the cell in the table which has focus changes.

###### AtkObject::announcement

The “announcement” signal can be emitted to pass an announcement on to be read by a screen reader.

since: 2.46

###### AtkObject::attribute-changed

The “attribute-changed” signal should be emitted when one of an object’s attributes changes.

since: 2.52

###### AtkObject::children-changed

The signal “children-changed” is emitted when a child is added or removed from an object. It supports two details: “add” and “remove”.

###### AtkObject::focus-event

The signal “focus-event” is emitted when an object gained or lost focus.

deprecated: 2.9.4

###### AtkObject::notification

The “notification” signal can be emitted to pass an announcement on to be read by a screen reader.

since: 2.50

###### AtkObject::property-change

The signal “property-change” is emitted when an object’s property value changes. `arg1` contains an `AtkPropertyValues` with the name and the new value of the property whose value has changed. Note that, as with GObject notify, getting this signal does not guarantee that the value of the property has actually changed; it may also be emitted when the setter of the property is called to reinstate the previous value.

###### AtkObject::state-change

The “state-change” signal is emitted when an object’s state changes. The detail value identifies the state type which has changed.

###### AtkObject::visible-data-changed

The “visible-data-changed” signal is emitted when the visual appearance of the object changed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtkGObjectAccessibleClass {
      AtkObjectClass parent_class;
      AtkFunction pad1;
      AtkFunction pad2;

    }

No description available.

###### Class members

`parent_class: AtkObjectClass`

  No description available.

`pad1: AtkFunction`

  No description available.

`pad2: AtkFunction`

  No description available.